org.eclipse.actf.visualization.engines.voicebrowser

## Interface IContext

    public interface IContext

Context in the voice browser engine.

### Method Summary

Methods
`boolean` `isGoChild()` Check if need to visit child.
`boolean` `isInsideAnchor()` Check if this context is inside anchor.
`boolean` `isInsideForm()` Check if this context is inside form.
`boolean` `isLineDelimiter()` Check if this context is a line delimiter.
`boolean` `isLinkTag()` Check if this context is a link tag.
`boolean` `isStartSelect()` Returns the startSelect.
`boolean` `isStringOutput()` Returns the stringOutput.

### Method Detail

#### isInsideForm

    boolean isInsideForm()

Check if this context is inside form.

Returns:
  true if current context is inside form

#### isGoChild

    boolean isGoChild()

Check if need to visit child.

Returns:
  true if need to visit child

#### isLineDelimiter

    boolean isLineDelimiter()

Check if this context is a line delimiter.

Returns:
  true if this context is a line delimiter

#### isLinkTag

    boolean isLinkTag()

Check if this context is a link tag.

Returns:
  true if this context is a link tag

#### isInsideAnchor

    boolean isInsideAnchor()

Check if this context is inside anchor.

Returns:
  true if this context is inside anchor

#### isStartSelect

    boolean isStartSelect()

Returns the startSelect.

Returns:
  boolean

#### isStringOutput

    boolean isStringOutput()

Returns the stringOutput.

Returns:
  boolean